Kriptopayments API

Endpoints para Kriptopayments

Detalle de kriptopayment

GET /internal/admin/kriptopayments/:kriptopayment_id

Retorna el detalle de un kriptopayment

Request

Headers

Content-Type: application/json
Authorization: Bearer <token>
Host: example.org
Cookie: 

Route

GET /internal/admin/kriptopayments/6

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/json; charset=utf-8
ETag: W/"24b8c506863ce6d81cf4be8439b72146"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 1b5434bc-91d7-4181-ac53-4a6220132c5e
X-Runtime: 0.086468
Vary: Origin
Content-Length: 831

Status

200 OK

Body

{
  "data": {
    "id": 6,
    "fiat": "usd",
    "fiat_price": "2.0",
    "crypto_price": "0.0",
    "crypto_earn": "0.0",
    "status": "wait",
    "reference": null,
    "attachments": [
      {
        "id": 6,
        "url": "https://cash-kriptonmarket-development.s3.amazonaws.com/kriptopayments/5/front-1624142064.jpg",
        "kind": "document"
      }
    ],
    "merchant": {
      "id": 5000,
      "name": "Kriptonmarket"
    },
    "crypto_to_pay": "0.0",
    "created_at": "2023-03-30T00:50:57.551Z",
    "client": {
      "id": 10020,
      "username": "Maegan@gmail.com"
    },
    "payment_data": null,
    "crypto_network": {
      "id": 24,
      "name": "Stellar",
      "currency_id": "stellar",
      "created_at": "2023-03-30T00:50:27.562Z",
      "updated_at": "2023-03-30T00:50:27.562Z",
      "fee": "0.0",
      "address": null,
      "focused_to_pay": true,
      "icon": null,
      "focused_to_create": true,
      "focused_to_withdrawals": true,
      "smart_contract": null,
      "chain_id": null,
      "decimal_places": null,
      "denomination": null,
      "wallet_connect": false,
      "explorer": null
    }
  }
}